package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlockWorld;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerQuitEvent;

import java.util.Objects;

public class QuitWhileInPixelBlockListener implements Listener {
    @EventHandler
    public void onLeave(PlayerQuitEvent event) {
        World pixelBlockWorld = event.getPlayer().getLocation().getWorld();
        if(!PixelBlockWorld.isPixelWorld(pixelBlockWorld)) return;
        PixelBlock pixelBlock = PixelBlock.getPixelBlockFromBlockWorld(pixelBlockWorld);
        Objects.requireNonNull(pixelBlock);
        pixelBlock.exitBlock(event.getPlayer());
    }
}
